GET /api/v3/placeBenchmark/category

Retrieves all available benchmark categories

GetPlaceBenchmarkCategoriesV3 Permissions: LicenseFeatureCustomBenchmarks (View)
Use this endpoint to get the list of predefined categories that can be assigned to benchmarks (e.g., Occupancy, Production).

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

BenchmarkCategoryResponse
Property Description Type
benchmarkCategoryId Benchmark Category Id integer (int32)
benchmarkCategoryInfo Benchmark Category Info string
Example Response application/json
[
  {    "benchmarkCategoryId": 1,    "benchmarkCategoryInfo": "string"
  }
]